﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using PreviewDataGrid.Structure;

namespace PreviewDataGrid
{
    /*
     *       _____ _____ _____                _       _
     *      |_   _/  __ \_   _|              (_)     | |
     *        | | | /  \/ | |  ___  ___   ___ _  __ _| |
     *        | | ||      | | / __|/ _ \ / __| |/ _` | |
     *       _| |_| \__/\ | |_\__ \ (_) | (__| | (_| | |
     *      |_____\_____/ |_(_)___/\___/ \___|_|\__,_|_|
     *                   ___
     *                  |  _|___ ___ ___
     *                  |  _|  _| -_| -_|  LICENSE
     *                  |_| |_| |___|___|
     *
     * IT NEWS  <>  PROGRAMMING  <>  HW & SW  <>  COMMUNITY
     *
     * This source code is a part of online courses at IT social
     * network WWW.ICT.SOCIAL
     *
     * Feel free to use it for whatever you want, modify it and share it but
     * don't forget to keep this link in your code.
     *
     * Visit http://www.ict.social/licenses for more information
     */

    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private ObservableCollection<Person> List1 { get; set; }
        private ObservableCollection<Person> List2 { get; set; }
        private ObservableCollection<Person> List3 { get; set; }
        private ObservableCollection<Person> List4 { get; set; }
        public ObservableCollection<string> sexList { get; set; }

        /// <summary>
        /// Calss constructor
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();
            FillData();

            sexList = new ObservableCollection<string>() { "M", "W" };
            colSex.ItemsSource = sexList;
        }

        private void FillData()
        {
            List1 = new ObservableCollection<Person>();
            List2 = new ObservableCollection<Person>();
            List3 = new ObservableCollection<Person>();
            List4 = new ObservableCollection<Person>();

            List<string> jmena = new List<string>() { "Aaron Steward", "Bailey Davis",
                "Carl Don", "Dana Holden", "Evan Sikorsky", "Franchesca Stevenson",
                "Gary Grant", "Hannah Little", "Ian Halifax", "Julia Horton"};
            DateTime date = DateTime.Now.AddDays(-7300);
            bool sSwitch = true;
            for (int i = 0; i < 10; i++)
            {
                Person person = new Person();
                person.FirstName = jmena[i].Substring(0, 5);
                person.LastName = jmena[i];
                person.Birthday = date.AddDays((i * 100));
                if (sSwitch)
                {
                    person.Sex = "M";
                    sSwitch = false;
                }
                else
                {
                    person.Sex = "W";
                    sSwitch = true;
                }
                List1.Add(person);
                List2.Add(person);
                List3.Add(person);
                List4.Add(person);
            }

            dgdList1.ItemsSource = List1;
            dgdList2.ItemsSource = List2;
            dgdList3.ItemsSource = List3;
            ListCollectionView groupList = new ListCollectionView(List4);
            groupList.GroupDescriptions.Add(new PropertyGroupDescription("Sex"));
            groupList.SortDescriptions.Add(new SortDescription("Last name", ListSortDirection.Ascending));
            groupList.SortDescriptions.Add(new SortDescription("First name", ListSortDirection.Ascending));
            dgdList4.ItemsSource = groupList;
        }


        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void CloseWindow(object sender, RoutedEventArgs e)
        {
            wdwControls.Close();
        }

        private void DisplaySelected(object sender, SelectionChangedEventArgs e)
        {
            lblSelected.Content = "You selected " +
                dgdList2.SelectedItems.Count.ToString() + " records";
        }
    }
}
