﻿using System;

namespace PreviewDataGrid.Structure
{
    /*
     *       _____ _____ _____                _       _
     *      |_   _/  __ \_   _|              (_)     | |
     *        | | | /  \/ | |  ___  ___   ___ _  __ _| |
     *        | | ||      | | / __|/ _ \ / __| |/ _` | |
     *       _| |_| \__/\ | |_\__ \ (_) | (__| | (_| | |
     *      |_____\_____/ |_(_)___/\___/ \___|_|\__,_|_|
     *                   ___
     *                  |  _|___ ___ ___
     *                  |  _|  _| -_| -_|  LICENSE
     *                  |_| |_| |___|___|
     *
     * IT NEWS  <>  PROGRAMMING  <>  HW & SW  <>  COMMUNITY
     *
     * This source code is a part of online courses at IT social
     * network WWW.ICT.SOCIAL
     *
     * Feel free to use it for whatever you want, modify it and share it but
     * don't forget to keep this link in your code.
     *
     * Visit http://www.ict.social/licenses for more information
     */

    public class Person
    {
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public DateTime Birthday { get; set; }
        public string Sex { get; set; }
        public string WholeName
        {
            get
            {
                return FirstName + " " + LastName;
            }
        }
        public string DateOfBirth
        {
            get
            {
                return Birthday.ToShortDateString();
            }
        }
        public string SexS
        {
            get
            {
                if (Sex.Equals("M"))
                {
                    return "Men";
                }
                else
                {
                    return "Women";
                }
            }
        }


        /// <summary>
        /// Class constructor
        /// </summary>
        public Person()
        {
        }


        /// <summary>
        /// Class contructor with parameters
        /// </summary>
        /// <param name="firstName"></param>
        /// <param name="lastName"></param>
        /// <param name="birthday"></param>
        /// <param name="sex"></param>
        public Person(string firstName, string lastName,
                        DateTime birthday, string sex)
        {
            FirstName = firstName;
            LastName = lastName;
            Birthday = birthday;
            Sex = sex;
        }
    }

}
